﻿import request from '/@/utils/request';
enum Api {
  AddWcsStation = '/api/wcsStation/add',
  DeleteWcsStation = '/api/wcsStation/delete',
  UpdateWcsStation = '/api/wcsStation/update',
  PageWcsStation = '/api/wcsStation/page',
  DetailWcsStation = '/api/wcsStation/detail',
  GetWcsDeviceDeviceIdDropdown = '/api/wcsStation/WcsDeviceDeviceIdDropdown',
}

// 增加设备工位
export const addWcsStation = (params?: any) =>
	request({
		url: Api.AddWcsStation,
		method: 'post',
		data: params,
	});

// 删除设备工位
export const deleteWcsStation = (params?: any) => 
	request({
			url: Api.DeleteWcsStation,
			method: 'post',
			data: params,
		});

// 编辑设备工位
export const updateWcsStation = (params?: any) => 
	request({
			url: Api.UpdateWcsStation,
			method: 'post',
			data: params,
		});

// 分页查询设备工位
export const pageWcsStation = (params?: any) => 
	request({
			url: Api.PageWcsStation,
			method: 'post',
			data: params,
		});

// 详情设备工位
export const detailWcsStation = (id: any) => 
	request({
			url: Api.DetailWcsStation,
			method: 'get',
			data: { id },
		});

export const getWcsDeviceDeviceIdDropdown = () =>
		request({
		url: Api.GetWcsDeviceDeviceIdDropdown,
		method: 'get'
		});

